import request from '@/utils/request'

const bridge = {

}
export function byBridgeAll(id, callback) {
  if (bridge[id]) {
    callback(bridge[id])
  } else {
    request({
      url: '/ajax/envData/all/byBridge',
      method: 'get',
      params: {
        active: 1,
        bridgeId: id
      }
    }).then(res => {
      if (res.success) {
        const $data = res.data
        const tranducer = $data.transducer
        bridge[id] = { server: $data.server }
        for (let i = 0; i < tranducer.length; i++) {
          const sys = tranducer[i].system
          const org = tranducer[i].organize
          if (bridge[id][sys]) {
            if (bridge[id][sys][org]) {
              bridge[id][sys][org].push(tranducer[i])
            } else {
              bridge[id][sys][org] = [tranducer[i]]
            }
          } else {
            bridge[id][sys] = {}
            bridge[id][sys][org] = [tranducer[i]]
          }
        }
      }
      callback(bridge[id])
    })
  }
}
